Redmine - Defect #10689

PDF export prints brackets on wiki links
2012-04-17 13:59 - Cassiano Monteiro

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version: 1.4.0
Description

Exporting PDFs from wiki pages with wiki links produces this:

.=

[[Definigao de configuragdes|) O sistema deve ser capaz de
exibir as diferentes configuragdes
presentes do banco de dados

[[Definigho de condigbes de O sistema deve ser capaz de

pista]] definir diferentes conjuntos de
condigbes de pista

[[Definigho de condigbes O sistema deve ser capaz de

atmosféricas]] permitir 20 usuario inserir as

condigbes atmosfericas
[[Definigao do aeroporto e pista]] | O sistema deve ser capaz de
definir aeroporto/pista

[[Resultado das analises]] O sistema deve ser capaz de
consultar, interpolar e exibir as
informacgdes exigidas

[[Conclusdo da analise]] O sistema deve ser capaz de
salvar a anélise gerada, mantendo
um histérico

It happens inside and outside tables. | think that the brackets could be removed, or even better, create links for the bookmarks
generated on the PDFs.

Thanks!

Related issues:

Related to Redmine - Feature #13051: Support any macro in (pdf) export for wi... Closed
Related to Redmine - Feature #18043: Links to anchors inside the page should ... Closed
History

#1 - 2012-05-21 14:53 - Anatoliy Gavrilov

Cassiano Monteiro wrote:

create links for the bookmarks generated on the PDFs.

+1
Nice Idea

#2 - 2012-05-21 17:38 - Josh Davidson

| was just coming online to post this as a feature request. Doesn't seem like it should be that difficult to replace them with actual links and would
make the resulting documents much more useable.

#3 - 2012-06-22 13:09 - Cassiano Monteiro
Up!

Since defect #10688 was fixed, if this one and #9842 were fixed too, this would be very nice!

#4 - 2012-09-10 21:19 - PICCORO LenzMcKAY

Still problems, in 1.4.4, tables now exported ok..
https://www.redmine.org/issues/10688
https://www.redmine.org/issues/9842

but macros includes and toc's are still broken.

#5 - 2012-10-09 10:08 - Michael Aye

+1
(Affected version here: 2.0.3.stable)

#6 - 2012-11-18 20:54 - @ go2null
+1 (Affected version: 2.1.0)

#7 - 2013-06-10 10:46 - Patrick Sernetz
+1

Problem still exists in 2.3.1.stable.11930

#8 - 2013-07-13 19:05 - Arturo Cruz

+1
Please correct this issue.

#9 - 2013-10-16 07:51 - Yurii Monakov

+1

#10 - 2013-11-29 13:35 - Martin Dimov

+1

#11 - 2014-08-22 09:21 - Dominik Follmann

+1

#12 - 2014-10-07 13:05 - Matteo Steccolini

It would be great if internal links would be supported as well.

[some text], see [[Pagename#Chapter?2|Chapter2]] for more information.

fooo]
h3. Chapter2

| think it is related to issue #18043 | have just added.

#13 - 2014-10-07 13:10 - Toshi MARUYAMA

- Related to Feature #18043: Links to anchors inside the page should be pagename-independent added

#14 - 2016-01-14 17:35 - Toshi MARUYAMA
- Status changed from New to Closed
- Resolution set to Fixed
Brackets was removed by #13051.
Matteo Steccolini wrote:
It would be great if internal links would be supported as well.

[some text], see [[Pagename#Chapter2|Chapter2]] for more information.

There is new issue #21730.
